package com.yihu.hos.resource.model;

/**
 * RsResource entity. @author MyEclipse Persistence Tools
 */

public class RsResource implements java.io.Serializable {

	// Fields

	private String id;
	private String name;
	private String code;
	private String type;
	private String serviceRate;
	private String dataSupportType;
	private String category;
	private String remark;
	private String valid;
	private String datasetCode;

	// Constructors

	/** default constructor */
	public RsResource() {
	}

	/** minimal constructor */
	public RsResource(String name, String code) {
		this.name = name;
		this.code = code;
	}

	/** full constructor */
	public RsResource(String name, String code, String type, String serviceRate, String dataSupportType, String category, String remark, String valid, String datasetCode) {
		this.name = name;
		this.code = code;
		this.type = type;
		this.serviceRate = serviceRate;
		this.dataSupportType = dataSupportType;
		this.category = category;
		this.remark = remark;
		this.valid = valid;
		this.datasetCode = datasetCode;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getServiceRate() {
		return this.serviceRate;
	}

	public void setServiceRate(String serviceRate) {
		this.serviceRate = serviceRate;
	}

	public String getDataSupportType() {
		return this.dataSupportType;
	}

	public void setDataSupportType(String dataSupportType) {
		this.dataSupportType = dataSupportType;
	}

	public String getCategory() {
		return this.category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getValid() {
		return this.valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

	public String getDatasetCode() {
		return this.datasetCode;
	}

	public void setDatasetCode(String datasetCode) {
		this.datasetCode = datasetCode;
	}

}